# Created 2016-03-01 by D.Th.
"""Module for Version number handling"""

import sys
import os.path as op


try:
    # read version number form package file
    from pkg_resources import require  # @UnresolvedImport
    __version__ = require("adnite2")[0].version
except Exception as e:  # if an error occurs exit
    sys.exit(e)

__python__ = "{:}.{:}.{:}".format(sys.version_info[0], sys.version_info[1],
                                  sys.version_info[2])

# __copyright__ = ('(c) ' +
__copyright__ = ('\xa9 ' +
                 'Dietmar Thaler, 2015-2017\n'
                 'dietmar.thaler@posteo.at\n' +
                 "http://adnite2.foehnwall.at")


__license__ = ('License:\n' +
               'EUPL V1.1 https://joinup.ec.europa.eu/software/page/eupl/licence-eupl')


def version(prtyp='Program', printit=True):
    """Prints program/module version number and copyright
    notice.

    * prtyp ... String that describes the sort of the module
      ('Program' or 'Module', defaults to 'Program')

    * printit ... If the version and copyright notice shall be
      sent to standrad output (True or False, defaults to True)

    Returns a string with the version- and copyright-notice."""

    prn = op.basename(sys.argv[0])
    l1 = prtyp + " " + prn
    l2 = 'Version ' + __version__
    l3 = '(Python ' + __python__ + ')\n'
    if printit:
        print(l1)
        print(l2)
        print(l3)
        print(__copyright__ + '\n')
        print(__license__)
        print()
    rstr = l1 + '\n' + l2 + '\n' + l3 + \
        '\n' + __copyright__ + '\n\n' + __license__
    return rstr


if __name__ == '__main__':
    version('Module')
