#!/usr/bin/env python3
"""Setup routine for package adnite2"""

from datetime import datetime
from setuptools import setup
import os
# import shutil
# import sys


def read(fname):
    """Utility function to read the README file."""
    return open(os.path.join(os.path.dirname(__file__), fname)).read()


def _now():
    """Returns a string with exact time in UTC"""
    jetzt = datetime.utcnow()
    jetztstr = jetzt.strftime("%Y%m%d")
    return jetztstr


def now():
    # return '20160615'
    # return '20170415'
    # return '20170422'
    # return '20170503'
    return '20170510'


setup(
    name="adnite2",
    version="0.2." + now(),
    author="Dietmar Thaler",
    author_email="dietmar.thaler@posteo.at",
    url='http://adnite2.foehnwall.at',
    install_requires=['numpy', 'matplotlib', 'scipy',
                      'ephem', 'Pillow'],
    description=('Scripts and libs to calculate astronomic basics ' +
                 'and night time illuminance.'),
    license='EUPL V1.1 https://joinup.ec.europa.eu/community/eupl/og_page/eupl',
    keywords="night vision, illuminance tool",
    scripts=['bin/adnite2-cli',
             'bin/adnite2-gui',
             'bin/adnite2',
             'bin/adnite2dbedit'],
    packages=['adnite2'],
    long_description=read('README'),
    classifiers=[
        "Development Status :: 2 - Beta",
        "Programming Language :: Python 3.4",
        "Topic :: Utilities",
        "License :: OSI Approved ::EUPL V1.1",
    ],
    platforms=('linux',)
)
